Atualizado em 17 de outubro de 2026
Salvar o rascunho do fluxo
Grava blocos, ligações, gatilho e regras sem publicar.
Considerações
- Exige o escopo
automations:writee a permissão Automações de Marketing (editar) do usuário responsável. - Substitui o rascunho inteiro; a versão publicada segue no ar; um único bloco de início.
Referência
PUT /automation-flows/{flow}/draft na Referência da APIComo fazer
cURL
curl -X PUT "$MICORE_BASE_URL/automation-flows/4/draft" \
-H "Authorization: Bearer $MICORE_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"trigger": {
"type": "entry_lead_stage_changed",
"funnelId": 3,
"stageId": 12
},
"nodes": [
{
"id": "wait",
"type": "delay",
"position": {
"x": 0,
"y": 0
},
"data": {
"amount": 1,
"unit": "hours"
}
},
{
"id": "end",
"type": "end",
"position": {
"x": 0,
"y": 120
}
}
],
"edges": [
{
"id": "e1",
"source": "wait",
"sourceHandle": "out",
"target": "end",
"targetHandle": "in"
}
]
}'
Resposta
Resposta · 200
{
"data": {
"id": 1,
"name": "string",
"description": null,
"status": "Rascunho",
"trigger_type": null,
"published_version": 1,
"has_draft": true,
"definition": {
"graph": {
"nodes": [
[]
],
"edges": [
[]
]
},
"trigger": [],
"settings": []
},
"created_at": "2026-10-20T10:00:00-03:00",
"updated_at": "2026-10-20T10:00:00-03:00"
}
}
Precisa de ajuda?Use o request ID e abra um chamado no miCore se encontrar uma divergência.